package com.house365.ws.interfaces.server;

import com.house365.beans.entity.PlatRuleEntity;
import com.house365.rest.context.IService;

import java.util.List;
import java.util.Map;

public interface IPlatRule extends IService {
    List<PlatRuleEntity> getPlatRuleList(Map<String, Object> map);
    Integer countPlatRule(Map<String, Object> map);
    void delRule(String ruleId);
    void saveRule(PlatRuleEntity pre);
    PlatRuleEntity getRuleById(String ruleId);
    void modifyRule(PlatRuleEntity pre);
    List<PlatRuleEntity> queryDeptList(Integer userId);
}
